#ifndef __CONFIGMODEL_H
#define __CONFIGMODEL_H
#include <exec/types.h>
#include <dos/dos.h>

typedef APTR LINEPTR;
typedef APTR SECTIONPTR;
typedef APTR VARIABLEPTR;
typedef APTR CONFIGFILEPTR;

CONFIGFILEPTR ConfigFileRead(CONST_STRPTR filename);
VOID ConfigFileFree(CONFIGFILEPTR abstractConfigFile);

VOID ConfigFileSave(CONFIGFILEPTR config);

VOID InitialisePatterns(VOID);
VOID ReleasePatterns(VOID);

LINEPTR LineReadIncludingContinuation(BPTR file, SECTIONPTR currentSection);
VOID LineFree(LINEPTR abstractLine);
CONST_STRPTR LineGetRawText(LINEPTR line);
#endif